package cn.iocoder.yudao.module.energy.dal.mysql.bill;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.energy.controller.admin.bill.vo.EnergyBillPageReqVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.bill.EnergyBillDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface EnergyBillMapper extends BaseMapperX<EnergyBillDO> {

    default PageResult<EnergyBillDO> selectPage(EnergyBillPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<EnergyBillDO>()
                .eqIfPresent(EnergyBillDO::getEnergyType, reqVO.getEnergyType())
                .eqIfPresent(EnergyBillDO::getCustomerId, reqVO.getCustomerId())
                .eqIfPresent(EnergyBillDO::getStationId, reqVO.getStationId())
                .eqIfPresent(EnergyBillDO::getStatus, reqVO.getStatus())
                .eqIfPresent(EnergyBillDO::getAuditStatus, reqVO.getAuditStatus())
                .betweenIfPresent(EnergyBillDO::getBillPeriodStart, reqVO.getBillPeriod())
                .orderByDesc(EnergyBillDO::getId));
    }

}
